﻿/* base button */
.btn {
    font-family: inherit !important;
    /*font-size: 0.85rem !important;*/
    font-weight: 400;
    line-height: 1.5 !important;
}

    /* size variants */
    .btn.btn-sm {
        /* font-size: 0.675rem !important;*/
    }

    .btn.btn-lg {
        /*font-size: 1.25rem !important;*/
    }

    /* standard appearance */
    .btn.btn-link {
        color: #00989e !important;
    }

    /* standard appearance */
    .btn.btn-primary {
        background-color: #00989e !important;
        border-color: #00989e !important;
        color:#fff;
    }

    .btn.btn-secondary {
        /*dean*/
        /*background-color: #fa9a00 !important;
        border-color: #fa9a00 !important;*/
        /*steve*/
        background-color: #006d77 !important;
        border-color: #006d77 !important;
        color: #fff;
    }

    .btn.btn-tertiary {
        /*steve*/
        /*background-color: #f59342 !important;
        border-color: #f59342 !important;*/
        /*dean*/
        background-color: #fa9a00 !important;
        border-color: #fa9a00 !important;
        color: #fff;
    }

    .btn.btn-success {
    }

    .btn.btn-danger {
    }

    .btn.btn-warning {
    }

    .btn.btn-info {
    }

    .btn.btn-light {
    }

    .btn.btn-dark {
    }

    .btn.btn-link {
    }

    /* outline appearance */
    .btn.btn-outline-primary {
        color: #00989e !important;
        border-color: #00989e !important;
        background-color: transparent !important;
    }

    .btn.btn-outline-secondary {
        color: #006d77 !important;
        border-color: #006d77 !important;
        background-color: transparent !important;
    }

    .btn.btn-outline-tertiary {
        color: #f59342 !important;
        border-color: #f59342 !important;
        background-color: transparent !important;
    }

    .btn.btn-outline-success {
    }

    .btn.btn-outline-danger {
    }

    .btn.btn-outline-warning {
    }

    .btn.btn-outline-info {
    }

    .btn.btn-outline-light {
    }

    .btn.btn-outline-dark {
    }

    /* standard appearance hover */
    .btn.btn-primary:hover {
        /*steve*/
        background-color: #007F85 !important;
        border-color: #00656B !important;
        color: #fff;
        /*dean*/
        /*background-color: #fa9a00 !important;
        border-color: #fa9a00 !important;*/
    }

    .btn.btn-secondary:hover {
        /*steve*/
        background-color: #00545E !important;
        border-color: #003A44 !important;
        color: #fff;
        /*dean*/
        /*background-color: #00656B !important;
        border-color: #00656B !important;*/
    }

    .btn.btn-tertiary:hover {
        /*steve*/
        background-color: #DC7A29 !important;
        border-color: #DC7A29 !important;
        color: #fff;
    }

    .btn.btn-success:hover {
    }

    .btn.btn-danger:hover {
    }

    .btn.btn-warning:hover {
    }

    .btn.btn-info:hover {
    }

    .btn.btn-light:hover {
    }

    .btn.btn-dark:hover {
    }

    .btn.btn-link:hover {
    }

    /* outline appearance hover */
    .btn.btn-outline-primary:hover {
        color: #ffffff !important;
        background-color: #00989e !important;
        border-color: #00989e !important;
    }

    .btn.btn-outline-secondary:hover {
        color: #ffffff !important;
        background-color: #006d77 !important;
        border-color: #006d77 !important;
    }

    .btn.btn-outline-tertiary:hover {
        /*steve*/
        color: #ffffff !important;
        background-color: #f59342 !important;
        border-color: #f59342 !important;
    }

    .btn.btn-outline-success:hover {
    }

    .btn.btn-outline-danger:hover {
    }

    .btn.btn-outline-warning:hover {
    }

    .btn.btn-outline-info:hover {
    }

    .btn.btn-outline-light:hover {
    }

    .btn.btn-outline-dark:hover {
    }

    /* Allow for inline font awesome classes */
    /* padding between font awesome and button / textbox text */
    .btn.fas::before,
    .btn.far::before,
    .btn.fal::before {
        font-family: "Font Awesome 5 Pro";
        margin-right: 0.4em;
        display: inline-flex;
        width: 1em;
        height: 1em;
        align-items: center;
        justify-content: center;
        /*font-size: 0.9em;*/
    }

    .btn.fas::before { /* Font Awesome Solid icon weight */
        font-weight: 900;
    }

    .btn.far::before { /* Font Awesome Regular icon weight */
        font-weight: 400;
    }

    .btn.fal::before { /* Font Awesome Light icon weight */
        font-weight: 300;
    }

    .btn.iconOnly.fas::before,
    .btn.iconOnly.far::before,
    .btn.iconOnly.fal::before {
        margin-right: 0;
    }

    .btn.iconOnly.fa::before {
        margin-right: 0;
    }

    /*prevent entire button from spinning */
    .btn.fa-spin {
        -webkit-animation: unset;
        animation: unset;
    }

        .btn.fa-spin::before {
            /*add spin to button icon */
            -webkit-animation: fa-spin 2s linear infinite !important;
            animation: fa-spin 2s linear infinite !important;
        }

    /* Margin between inline buttons */
        .btn.btn-block + .btn {
        margin-top: 0.2em;
    }

    /* Margin between block buttons */
    .btn:not(.btn-block) + .btn {
        margin-left: 0.2em;
    }

.btn-primary.focus, .btn-primary:focus {
    color: #fff;
    background-color: rgb(38 143 255 / 0%);
    border-color: rgb(38 143 255 / 0%);
    box-shadow: 0 0 0 0.2rem rgb(38 143 255 / 0%);
}

.btn-secondary.focus, .btn-primary:focus {
    color: #fff;
    background-color: rgb(38 143 255 / 0%);
    border-color: rgb(38 143 255 / 0%);
    box-shadow: 0 0 0 0.2rem rgb(38 143 255 / 0%);
}

.btn-secondary:not(:disabled):not(.disabled).active:focus, .btn-primary:not(:disabled):not(.disabled):active:focus, .show > .btn-primary.dropdown-toggle:focus {
    box-shadow: 0 0 0 0.2rem rgb(38 143 255 / 0%);
}

.btn-primary:not(:disabled):not(.disabled).active:focus, .btn-primary:not(:disabled):not(.disabled):active:focus, .show > .btn-primary.dropdown-toggle:focus {
    box-shadow: 0 0 0 0.2rem rgb(38 143 255 / 0%);
}

.loginbtn {
    padding-top: 4px !important;
}
